Uploaded image for project: 'FreeNAS / TrueNAS'
  1. FreeNAS / TrueNAS
  2. NAS-107235

Error when updating a Jail 11.3-RELEASE-p6 to 11.3-RELEASE-p612

    XMLWordPrintable

    Details

      JEditor

        Description

        When updating the Jail in the UI (screenshot 1)
        the error message "Error: b'" is shown in a message box (screenshot 2)

        in the middleware.log this error is logged:

        [2020/08/14 22:15:12] (ERROR) middlewared.job.run():361 - Job <bound method accepts.<locals>.wrap.<locals>.nf of <middlewared
        .plugins.jail.JailService object at 0x82a10a390>> failed
        Traceback (most recent call last):
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_fetch.py", line 908, in fetch_update
        _exec, callback=self.callback)
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 903, in consume_and_log
        for output in filter(lambda o: any(v for v in o), exec_gen):
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_exec.py", line 260, in exec_jail
        list(stderr_queue)
        iocage_lib.ioc_exceptions.CommandFailed: [b'', b'']

        During handling of the above exception, another exception occurred:

        Traceback (most recent call last):
        File "/usr/local/lib/python3.7/site-packages/middlewared/job.py", line 349, in run
        await self.future
        File "/usr/local/lib/python3.7/site-packages/middlewared/job.py", line 387, in __run_body
        rv = await self.middleware.run_in_thread(self.method, *([self] + args))
        File "/usr/local/lib/python3.7/site-packages/middlewared/utils/run_in_thread.py", line 10, in run_in_thread
        return await self.loop.run_in_executor(self.run_in_thread_executor, functools.partial(method, *args, **kwargs))
        File "/usr/local/lib/python3.7/site-packages/middlewared/utils/io_thread_pool_executor.py", line 25, in run
        result = self.fn(*self.args, **self.kwargs)
        File "/usr/local/lib/python3.7/site-packages/middlewared/schema.py", line 965, in nf
        return f(*args, **kwargs)
        File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/jail.py", line 1409, in update_to_latest_patch
        iocage.update(update_pkgs)
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/iocage.py", line 1944, in update
        ).fetch_update(*params)
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_fetch.py", line 917, in fetch_update
        silent=self.silent
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 103, in logit
        callback(content, exception)
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 76, in callback
        raise callback_exception(message)
        RuntimeError: b''

          Attachments

            Attachments

              Activity

                People

                Assignee:
                waqar Waqar Ahmed
                Reporter:
                flederohr Florian Lederer
                Votes:
                1 Vote for this issue
                Watchers:
                4 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: